> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaleidoswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Node Information

> Retrieve Lightning node public key and network details



## OpenAPI

````yaml /openapi.json get /api/v1/swaps/nodeinfo
openapi: 3.1.0
info:
  title: Kaleidoswap RGB-LSP API
  description: API for managing swaps and channels
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/swaps/nodeinfo:
    get:
      tags:
        - swaps
      summary: Get Node Info
      operationId: get_node_info_api_v1_swaps_nodeinfo_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeInfoResponse'
components:
  schemas:
    NodeInfoResponse:
      properties:
        pubkey:
          anyOf:
            - type: string
            - type: 'null'
          title: Pubkey
          example: 034eedc97802d7e2766704bd06d6bfded8aa2d35a1a007e277fd7278f3dc962706
        network:
          anyOf:
            - type: string
            - type: 'null'
          title: Network
          example: Signet
        block_height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Block Height
          example: 805434
      type: object
      required:
        - pubkey
        - network
        - block_height
      title: NodeInfoResponse

````